/***********************************************************************/
/*                                                                     */
/*                       C_data_user_int.h                             */
/*                                                                     */
/*  simple definition of a type corresponding to a standard C type     */
/*                                                                     */
/*  authors: D. Gaffe and A. Ressouche                                 */
/*                                                                     */
/*  version: 02/01/2019                                                */
/***********************************************************************/

#ifndef C_DATA_USER_INT_H
#define C_DATA_USER_INT_H

extern const int zero_int;
#define copy_int(x) (x)
#define add_int(x,y) ((x) + (y))
#define sub_int(x,y) ((x) - (y))
#define neg_int(x) ((-1)*(x))
#define mult_int(x,y) ((x) * (y))
#define div_int(x,y) ((x) / (y))
#define eq_int(x,y) ((x) == (y))
#define neq_int(x,y) ((x) != (y))
#define less_int(x,y) ((x) < (y))
#define lesseq_int(x,y) ((x) <= (y))
#define sup_int(x,y) ((x) > (y))
#define supeq_int(x,y) ((x) >= (y))
#endif
